Subject: Bug#973: [X2Go-Dev] Bug#973: X2Go Client Build Issue(s) on Mac

From: Mihai Moldovan <[email-masked]>
Date: Wed, 13 Jan 2016 06:58:53 +0100

On 21.12.2015 04:17 PM, David Laxer wrote:
> Package: X2Go Client
> 
> Version:  4.0.5.0
> 
> 
> I’m trying to build X2GoClient from source and the ./macbuild.sh has build errors:
> 
> g++: error: unrecognized command line option '--stdlib=libstdc++'
> g++: error: unrecognized command line option '-Xarch_x86_64'
> g++: error: unrecognized command line option '--stdlib=libstdc++'
> g++: error: unrecognized command line option '-Xarch_x86_64'

These errors likely mean that you're trying to use a compiler different from what is in the Command Line Tools as
shipped by Apple.

Try "type g++" in the terminal to determine which location g++ is taken from by your shell. Ideally it should be
/usr/bin/g++, but in your case I bet it's not. You will probably need to edit PATH in order to correct that problem.

(Also, I actually have a typo in the build process. --stdlib=... should be -stdlib. clang does seem to accept both,
though, while GCC likely chokes on it, being a ported clang feature. I'll correct this with the next commit to master.)

Mihai